Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.16.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
228.16.0.0
Broadcast address
228.31.255.255
First usable
228.16.0.1
Last usable
228.31.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4100000 · Integer 3826253824 to 3827302399
Reverse DNS zones
16.228.in-addr.arpa
17.228.in-addr.arpa
18.228.in-addr.arpa
19.228.in-addr.arpa
20.228.in-addr.arpa
21.228.in-addr.arpa
22.228.in-addr.arpa
23.228.in-addr.arpa
24.228.in-addr.arpa
25.228.in-addr.arpa
26.228.in-addr.arpa
27.228.in-addr.arpa
28.228.in-addr.arpa
29.228.in-addr.arpa
30.228.in-addr.arpa
31.228.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.00010000.00000000.00000000228.16.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11100100.00010000.00000000.00000000228.16.0.0
Broadcast11100100.00011111.11111111.11111111228.31.255.255
Split into smaller subnets/24

228.16.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.16.0.0/24228.16.0.1 to 228.16.0.254228.16.0.255254
2228.16.1.0/24228.16.1.1 to 228.16.1.254228.16.1.255254
3228.16.2.0/24228.16.2.1 to 228.16.2.254228.16.2.255254
4228.16.3.0/24228.16.3.1 to 228.16.3.254228.16.3.255254
5228.16.4.0/24228.16.4.1 to 228.16.4.254228.16.4.255254
6228.16.5.0/24228.16.5.1 to 228.16.5.254228.16.5.255254
7228.16.6.0/24228.16.6.1 to 228.16.6.254228.16.6.255254
8228.16.7.0/24228.16.7.1 to 228.16.7.254228.16.7.255254
9228.16.8.0/24228.16.8.1 to 228.16.8.254228.16.8.255254
10228.16.9.0/24228.16.9.1 to 228.16.9.254228.16.9.255254
11228.16.10.0/24228.16.10.1 to 228.16.10.254228.16.10.255254
12228.16.11.0/24228.16.11.1 to 228.16.11.254228.16.11.255254
13228.16.12.0/24228.16.12.1 to 228.16.12.254228.16.12.255254
14228.16.13.0/24228.16.13.1 to 228.16.13.254228.16.13.255254
15228.16.14.0/24228.16.14.1 to 228.16.14.254228.16.14.255254
16228.16.15.0/24228.16.15.1 to 228.16.15.254228.16.15.255254
17228.16.16.0/24228.16.16.1 to 228.16.16.254228.16.16.255254
18228.16.17.0/24228.16.17.1 to 228.16.17.254228.16.17.255254
19228.16.18.0/24228.16.18.1 to 228.16.18.254228.16.18.255254
20228.16.19.0/24228.16.19.1 to 228.16.19.254228.16.19.255254
21228.16.20.0/24228.16.20.1 to 228.16.20.254228.16.20.255254
22228.16.21.0/24228.16.21.1 to 228.16.21.254228.16.21.255254
23228.16.22.0/24228.16.22.1 to 228.16.22.254228.16.22.255254
24228.16.23.0/24228.16.23.1 to 228.16.23.254228.16.23.255254
25228.16.24.0/24228.16.24.1 to 228.16.24.254228.16.24.255254
26228.16.25.0/24228.16.25.1 to 228.16.25.254228.16.25.255254
27228.16.26.0/24228.16.26.1 to 228.16.26.254228.16.26.255254
28228.16.27.0/24228.16.27.1 to 228.16.27.254228.16.27.255254
29228.16.28.0/24228.16.28.1 to 228.16.28.254228.16.28.255254
30228.16.29.0/24228.16.29.1 to 228.16.29.254228.16.29.255254
31228.16.30.0/24228.16.30.1 to 228.16.30.254228.16.30.255254
32228.16.31.0/24228.16.31.1 to 228.16.31.254228.16.31.255254
33228.16.32.0/24228.16.32.1 to 228.16.32.254228.16.32.255254
34228.16.33.0/24228.16.33.1 to 228.16.33.254228.16.33.255254
35228.16.34.0/24228.16.34.1 to 228.16.34.254228.16.34.255254
36228.16.35.0/24228.16.35.1 to 228.16.35.254228.16.35.255254
37228.16.36.0/24228.16.36.1 to 228.16.36.254228.16.36.255254
38228.16.37.0/24228.16.37.1 to 228.16.37.254228.16.37.255254
39228.16.38.0/24228.16.38.1 to 228.16.38.254228.16.38.255254
40228.16.39.0/24228.16.39.1 to 228.16.39.254228.16.39.255254
41228.16.40.0/24228.16.40.1 to 228.16.40.254228.16.40.255254
42228.16.41.0/24228.16.41.1 to 228.16.41.254228.16.41.255254
43228.16.42.0/24228.16.42.1 to 228.16.42.254228.16.42.255254
44228.16.43.0/24228.16.43.1 to 228.16.43.254228.16.43.255254
45228.16.44.0/24228.16.44.1 to 228.16.44.254228.16.44.255254
46228.16.45.0/24228.16.45.1 to 228.16.45.254228.16.45.255254
47228.16.46.0/24228.16.46.1 to 228.16.46.254228.16.46.255254
48228.16.47.0/24228.16.47.1 to 228.16.47.254228.16.47.255254
49228.16.48.0/24228.16.48.1 to 228.16.48.254228.16.48.255254
50228.16.49.0/24228.16.49.1 to 228.16.49.254228.16.49.255254
51228.16.50.0/24228.16.50.1 to 228.16.50.254228.16.50.255254
52228.16.51.0/24228.16.51.1 to 228.16.51.254228.16.51.255254
53228.16.52.0/24228.16.52.1 to 228.16.52.254228.16.52.255254
54228.16.53.0/24228.16.53.1 to 228.16.53.254228.16.53.255254
55228.16.54.0/24228.16.54.1 to 228.16.54.254228.16.54.255254
56228.16.55.0/24228.16.55.1 to 228.16.55.254228.16.55.255254
57228.16.56.0/24228.16.56.1 to 228.16.56.254228.16.56.255254
58228.16.57.0/24228.16.57.1 to 228.16.57.254228.16.57.255254
59228.16.58.0/24228.16.58.1 to 228.16.58.254228.16.58.255254
60228.16.59.0/24228.16.59.1 to 228.16.59.254228.16.59.255254
61228.16.60.0/24228.16.60.1 to 228.16.60.254228.16.60.255254
62228.16.61.0/24228.16.61.1 to 228.16.61.254228.16.61.255254
63228.16.62.0/24228.16.62.1 to 228.16.62.254228.16.62.255254
64228.16.63.0/24228.16.63.1 to 228.16.63.254228.16.63.255254
65228.16.64.0/24228.16.64.1 to 228.16.64.254228.16.64.255254
66228.16.65.0/24228.16.65.1 to 228.16.65.254228.16.65.255254
67228.16.66.0/24228.16.66.1 to 228.16.66.254228.16.66.255254
68228.16.67.0/24228.16.67.1 to 228.16.67.254228.16.67.255254
69228.16.68.0/24228.16.68.1 to 228.16.68.254228.16.68.255254
70228.16.69.0/24228.16.69.1 to 228.16.69.254228.16.69.255254
71228.16.70.0/24228.16.70.1 to 228.16.70.254228.16.70.255254
72228.16.71.0/24228.16.71.1 to 228.16.71.254228.16.71.255254
73228.16.72.0/24228.16.72.1 to 228.16.72.254228.16.72.255254
74228.16.73.0/24228.16.73.1 to 228.16.73.254228.16.73.255254
75228.16.74.0/24228.16.74.1 to 228.16.74.254228.16.74.255254
76228.16.75.0/24228.16.75.1 to 228.16.75.254228.16.75.255254
77228.16.76.0/24228.16.76.1 to 228.16.76.254228.16.76.255254
78228.16.77.0/24228.16.77.1 to 228.16.77.254228.16.77.255254
79228.16.78.0/24228.16.78.1 to 228.16.78.254228.16.78.255254
80228.16.79.0/24228.16.79.1 to 228.16.79.254228.16.79.255254
81228.16.80.0/24228.16.80.1 to 228.16.80.254228.16.80.255254
82228.16.81.0/24228.16.81.1 to 228.16.81.254228.16.81.255254
83228.16.82.0/24228.16.82.1 to 228.16.82.254228.16.82.255254
84228.16.83.0/24228.16.83.1 to 228.16.83.254228.16.83.255254
85228.16.84.0/24228.16.84.1 to 228.16.84.254228.16.84.255254
86228.16.85.0/24228.16.85.1 to 228.16.85.254228.16.85.255254
87228.16.86.0/24228.16.86.1 to 228.16.86.254228.16.86.255254
88228.16.87.0/24228.16.87.1 to 228.16.87.254228.16.87.255254
89228.16.88.0/24228.16.88.1 to 228.16.88.254228.16.88.255254
90228.16.89.0/24228.16.89.1 to 228.16.89.254228.16.89.255254
91228.16.90.0/24228.16.90.1 to 228.16.90.254228.16.90.255254
92228.16.91.0/24228.16.91.1 to 228.16.91.254228.16.91.255254
93228.16.92.0/24228.16.92.1 to 228.16.92.254228.16.92.255254
94228.16.93.0/24228.16.93.1 to 228.16.93.254228.16.93.255254
95228.16.94.0/24228.16.94.1 to 228.16.94.254228.16.94.255254
96228.16.95.0/24228.16.95.1 to 228.16.95.254228.16.95.255254
97228.16.96.0/24228.16.96.1 to 228.16.96.254228.16.96.255254
98228.16.97.0/24228.16.97.1 to 228.16.97.254228.16.97.255254
99228.16.98.0/24228.16.98.1 to 228.16.98.254228.16.98.255254
100228.16.99.0/24228.16.99.1 to 228.16.99.254228.16.99.255254
101228.16.100.0/24228.16.100.1 to 228.16.100.254228.16.100.255254
102228.16.101.0/24228.16.101.1 to 228.16.101.254228.16.101.255254
103228.16.102.0/24228.16.102.1 to 228.16.102.254228.16.102.255254
104228.16.103.0/24228.16.103.1 to 228.16.103.254228.16.103.255254
105228.16.104.0/24228.16.104.1 to 228.16.104.254228.16.104.255254
106228.16.105.0/24228.16.105.1 to 228.16.105.254228.16.105.255254
107228.16.106.0/24228.16.106.1 to 228.16.106.254228.16.106.255254
108228.16.107.0/24228.16.107.1 to 228.16.107.254228.16.107.255254
109228.16.108.0/24228.16.108.1 to 228.16.108.254228.16.108.255254
110228.16.109.0/24228.16.109.1 to 228.16.109.254228.16.109.255254
111228.16.110.0/24228.16.110.1 to 228.16.110.254228.16.110.255254
112228.16.111.0/24228.16.111.1 to 228.16.111.254228.16.111.255254
113228.16.112.0/24228.16.112.1 to 228.16.112.254228.16.112.255254
114228.16.113.0/24228.16.113.1 to 228.16.113.254228.16.113.255254
115228.16.114.0/24228.16.114.1 to 228.16.114.254228.16.114.255254
116228.16.115.0/24228.16.115.1 to 228.16.115.254228.16.115.255254
117228.16.116.0/24228.16.116.1 to 228.16.116.254228.16.116.255254
118228.16.117.0/24228.16.117.1 to 228.16.117.254228.16.117.255254
119228.16.118.0/24228.16.118.1 to 228.16.118.254228.16.118.255254
120228.16.119.0/24228.16.119.1 to 228.16.119.254228.16.119.255254
121228.16.120.0/24228.16.120.1 to 228.16.120.254228.16.120.255254
122228.16.121.0/24228.16.121.1 to 228.16.121.254228.16.121.255254
123228.16.122.0/24228.16.122.1 to 228.16.122.254228.16.122.255254
124228.16.123.0/24228.16.123.1 to 228.16.123.254228.16.123.255254
125228.16.124.0/24228.16.124.1 to 228.16.124.254228.16.124.255254
126228.16.125.0/24228.16.125.1 to 228.16.125.254228.16.125.255254
127228.16.126.0/24228.16.126.1 to 228.16.126.254228.16.126.255254
128228.16.127.0/24228.16.127.1 to 228.16.127.254228.16.127.255254
129228.16.128.0/24228.16.128.1 to 228.16.128.254228.16.128.255254
130228.16.129.0/24228.16.129.1 to 228.16.129.254228.16.129.255254
131228.16.130.0/24228.16.130.1 to 228.16.130.254228.16.130.255254
132228.16.131.0/24228.16.131.1 to 228.16.131.254228.16.131.255254
133228.16.132.0/24228.16.132.1 to 228.16.132.254228.16.132.255254
134228.16.133.0/24228.16.133.1 to 228.16.133.254228.16.133.255254
135228.16.134.0/24228.16.134.1 to 228.16.134.254228.16.134.255254
136228.16.135.0/24228.16.135.1 to 228.16.135.254228.16.135.255254
137228.16.136.0/24228.16.136.1 to 228.16.136.254228.16.136.255254
138228.16.137.0/24228.16.137.1 to 228.16.137.254228.16.137.255254
139228.16.138.0/24228.16.138.1 to 228.16.138.254228.16.138.255254
140228.16.139.0/24228.16.139.1 to 228.16.139.254228.16.139.255254
141228.16.140.0/24228.16.140.1 to 228.16.140.254228.16.140.255254
142228.16.141.0/24228.16.141.1 to 228.16.141.254228.16.141.255254
143228.16.142.0/24228.16.142.1 to 228.16.142.254228.16.142.255254
144228.16.143.0/24228.16.143.1 to 228.16.143.254228.16.143.255254
145228.16.144.0/24228.16.144.1 to 228.16.144.254228.16.144.255254
146228.16.145.0/24228.16.145.1 to 228.16.145.254228.16.145.255254
147228.16.146.0/24228.16.146.1 to 228.16.146.254228.16.146.255254
148228.16.147.0/24228.16.147.1 to 228.16.147.254228.16.147.255254
149228.16.148.0/24228.16.148.1 to 228.16.148.254228.16.148.255254
150228.16.149.0/24228.16.149.1 to 228.16.149.254228.16.149.255254
151228.16.150.0/24228.16.150.1 to 228.16.150.254228.16.150.255254
152228.16.151.0/24228.16.151.1 to 228.16.151.254228.16.151.255254
153228.16.152.0/24228.16.152.1 to 228.16.152.254228.16.152.255254
154228.16.153.0/24228.16.153.1 to 228.16.153.254228.16.153.255254
155228.16.154.0/24228.16.154.1 to 228.16.154.254228.16.154.255254
156228.16.155.0/24228.16.155.1 to 228.16.155.254228.16.155.255254
157228.16.156.0/24228.16.156.1 to 228.16.156.254228.16.156.255254
158228.16.157.0/24228.16.157.1 to 228.16.157.254228.16.157.255254
159228.16.158.0/24228.16.158.1 to 228.16.158.254228.16.158.255254
160228.16.159.0/24228.16.159.1 to 228.16.159.254228.16.159.255254
161228.16.160.0/24228.16.160.1 to 228.16.160.254228.16.160.255254
162228.16.161.0/24228.16.161.1 to 228.16.161.254228.16.161.255254
163228.16.162.0/24228.16.162.1 to 228.16.162.254228.16.162.255254
164228.16.163.0/24228.16.163.1 to 228.16.163.254228.16.163.255254
165228.16.164.0/24228.16.164.1 to 228.16.164.254228.16.164.255254
166228.16.165.0/24228.16.165.1 to 228.16.165.254228.16.165.255254
167228.16.166.0/24228.16.166.1 to 228.16.166.254228.16.166.255254
168228.16.167.0/24228.16.167.1 to 228.16.167.254228.16.167.255254
169228.16.168.0/24228.16.168.1 to 228.16.168.254228.16.168.255254
170228.16.169.0/24228.16.169.1 to 228.16.169.254228.16.169.255254
171228.16.170.0/24228.16.170.1 to 228.16.170.254228.16.170.255254
172228.16.171.0/24228.16.171.1 to 228.16.171.254228.16.171.255254
173228.16.172.0/24228.16.172.1 to 228.16.172.254228.16.172.255254
174228.16.173.0/24228.16.173.1 to 228.16.173.254228.16.173.255254
175228.16.174.0/24228.16.174.1 to 228.16.174.254228.16.174.255254
176228.16.175.0/24228.16.175.1 to 228.16.175.254228.16.175.255254
177228.16.176.0/24228.16.176.1 to 228.16.176.254228.16.176.255254
178228.16.177.0/24228.16.177.1 to 228.16.177.254228.16.177.255254
179228.16.178.0/24228.16.178.1 to 228.16.178.254228.16.178.255254
180228.16.179.0/24228.16.179.1 to 228.16.179.254228.16.179.255254
181228.16.180.0/24228.16.180.1 to 228.16.180.254228.16.180.255254
182228.16.181.0/24228.16.181.1 to 228.16.181.254228.16.181.255254
183228.16.182.0/24228.16.182.1 to 228.16.182.254228.16.182.255254
184228.16.183.0/24228.16.183.1 to 228.16.183.254228.16.183.255254
185228.16.184.0/24228.16.184.1 to 228.16.184.254228.16.184.255254
186228.16.185.0/24228.16.185.1 to 228.16.185.254228.16.185.255254
187228.16.186.0/24228.16.186.1 to 228.16.186.254228.16.186.255254
188228.16.187.0/24228.16.187.1 to 228.16.187.254228.16.187.255254
189228.16.188.0/24228.16.188.1 to 228.16.188.254228.16.188.255254
190228.16.189.0/24228.16.189.1 to 228.16.189.254228.16.189.255254
191228.16.190.0/24228.16.190.1 to 228.16.190.254228.16.190.255254
192228.16.191.0/24228.16.191.1 to 228.16.191.254228.16.191.255254
193228.16.192.0/24228.16.192.1 to 228.16.192.254228.16.192.255254
194228.16.193.0/24228.16.193.1 to 228.16.193.254228.16.193.255254
195228.16.194.0/24228.16.194.1 to 228.16.194.254228.16.194.255254
196228.16.195.0/24228.16.195.1 to 228.16.195.254228.16.195.255254
197228.16.196.0/24228.16.196.1 to 228.16.196.254228.16.196.255254
198228.16.197.0/24228.16.197.1 to 228.16.197.254228.16.197.255254
199228.16.198.0/24228.16.198.1 to 228.16.198.254228.16.198.255254
200228.16.199.0/24228.16.199.1 to 228.16.199.254228.16.199.255254
201228.16.200.0/24228.16.200.1 to 228.16.200.254228.16.200.255254
202228.16.201.0/24228.16.201.1 to 228.16.201.254228.16.201.255254
203228.16.202.0/24228.16.202.1 to 228.16.202.254228.16.202.255254
204228.16.203.0/24228.16.203.1 to 228.16.203.254228.16.203.255254
205228.16.204.0/24228.16.204.1 to 228.16.204.254228.16.204.255254
206228.16.205.0/24228.16.205.1 to 228.16.205.254228.16.205.255254
207228.16.206.0/24228.16.206.1 to 228.16.206.254228.16.206.255254
208228.16.207.0/24228.16.207.1 to 228.16.207.254228.16.207.255254
209228.16.208.0/24228.16.208.1 to 228.16.208.254228.16.208.255254
210228.16.209.0/24228.16.209.1 to 228.16.209.254228.16.209.255254
211228.16.210.0/24228.16.210.1 to 228.16.210.254228.16.210.255254
212228.16.211.0/24228.16.211.1 to 228.16.211.254228.16.211.255254
213228.16.212.0/24228.16.212.1 to 228.16.212.254228.16.212.255254
214228.16.213.0/24228.16.213.1 to 228.16.213.254228.16.213.255254
215228.16.214.0/24228.16.214.1 to 228.16.214.254228.16.214.255254
216228.16.215.0/24228.16.215.1 to 228.16.215.254228.16.215.255254
217228.16.216.0/24228.16.216.1 to 228.16.216.254228.16.216.255254
218228.16.217.0/24228.16.217.1 to 228.16.217.254228.16.217.255254
219228.16.218.0/24228.16.218.1 to 228.16.218.254228.16.218.255254
220228.16.219.0/24228.16.219.1 to 228.16.219.254228.16.219.255254
221228.16.220.0/24228.16.220.1 to 228.16.220.254228.16.220.255254
222228.16.221.0/24228.16.221.1 to 228.16.221.254228.16.221.255254
223228.16.222.0/24228.16.222.1 to 228.16.222.254228.16.222.255254
224228.16.223.0/24228.16.223.1 to 228.16.223.254228.16.223.255254
225228.16.224.0/24228.16.224.1 to 228.16.224.254228.16.224.255254
226228.16.225.0/24228.16.225.1 to 228.16.225.254228.16.225.255254
227228.16.226.0/24228.16.226.1 to 228.16.226.254228.16.226.255254
228228.16.227.0/24228.16.227.1 to 228.16.227.254228.16.227.255254
229228.16.228.0/24228.16.228.1 to 228.16.228.254228.16.228.255254
230228.16.229.0/24228.16.229.1 to 228.16.229.254228.16.229.255254
231228.16.230.0/24228.16.230.1 to 228.16.230.254228.16.230.255254
232228.16.231.0/24228.16.231.1 to 228.16.231.254228.16.231.255254
233228.16.232.0/24228.16.232.1 to 228.16.232.254228.16.232.255254
234228.16.233.0/24228.16.233.1 to 228.16.233.254228.16.233.255254
235228.16.234.0/24228.16.234.1 to 228.16.234.254228.16.234.255254
236228.16.235.0/24228.16.235.1 to 228.16.235.254228.16.235.255254
237228.16.236.0/24228.16.236.1 to 228.16.236.254228.16.236.255254
238228.16.237.0/24228.16.237.1 to 228.16.237.254228.16.237.255254
239228.16.238.0/24228.16.238.1 to 228.16.238.254228.16.238.255254
240228.16.239.0/24228.16.239.1 to 228.16.239.254228.16.239.255254
241228.16.240.0/24228.16.240.1 to 228.16.240.254228.16.240.255254
242228.16.241.0/24228.16.241.1 to 228.16.241.254228.16.241.255254
243228.16.242.0/24228.16.242.1 to 228.16.242.254228.16.242.255254
244228.16.243.0/24228.16.243.1 to 228.16.243.254228.16.243.255254
245228.16.244.0/24228.16.244.1 to 228.16.244.254228.16.244.255254
246228.16.245.0/24228.16.245.1 to 228.16.245.254228.16.245.255254
247228.16.246.0/24228.16.246.1 to 228.16.246.254228.16.246.255254
248228.16.247.0/24228.16.247.1 to 228.16.247.254228.16.247.255254
249228.16.248.0/24228.16.248.1 to 228.16.248.254228.16.248.255254
250228.16.249.0/24228.16.249.1 to 228.16.249.254228.16.249.255254
251228.16.250.0/24228.16.250.1 to 228.16.250.254228.16.250.255254
252228.16.251.0/24228.16.251.1 to 228.16.251.254228.16.251.255254
253228.16.252.0/24228.16.252.1 to 228.16.252.254228.16.252.255254
254228.16.253.0/24228.16.253.1 to 228.16.253.254228.16.253.255254
255228.16.254.0/24228.16.254.1 to 228.16.254.254228.16.254.255254
256228.16.255.0/24228.16.255.1 to 228.16.255.254228.16.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses